kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '3'
    meta.helm.sh/release-name: mongodb
    meta.helm.sh/release-namespace: mongodb
  resourceVersion: '360250082'
  name: mongodb
  uid: c50dffd4-3dc9-4130-8c76-9796e073acf0
  creationTimestamp: '2024-09-26T11:11:43Z'
  generation: 5
  managedFields:
    - manager: bridge
      operation: Update
      apiVersion: apps/v1
      time: '2024-09-26T11:11:43Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/component': {}
            'f:app.kubernetes.io/instance': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app.kubernetes.io/name': {}
            'f:app.kubernetes.io/version': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:revisionHistoryLimit': {}
          'f:selector': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:labels':
                .: {}
                'f:app.kubernetes.io/component': {}
                'f:app.kubernetes.io/instance': {}
                'f:app.kubernetes.io/managed-by': {}
                'f:app.kubernetes.io/name': {}
                'f:app.kubernetes.io/version': {}
            'f:spec':
              'f:volumes':
                .: {}
                'k:{"name":"common-scripts"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
                'k:{"name":"datadir"}':
                  .: {}
                  'f:name': {}
                  'f:persistentVolumeClaim':
                    .: {}
                    'f:claimName': {}
                'k:{"name":"empty-dir"}':
                  .: {}
                  'f:emptyDir': {}
                  'f:name': {}
              'f:containers':
                'k:{"name":"mongodb"}':
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/.mongodb"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                    'k:{"mountPath":"/bitnami/mongodb"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                    'k:{"mountPath":"/bitnami/scripts"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                    'k:{"mountPath":"/opt/bitnami/mongodb/conf"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                    'k:{"mountPath":"/opt/bitnami/mongodb/logs"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                    'k:{"mountPath":"/opt/bitnami/mongodb/tmp"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                    'k:{"mountPath":"/tmp"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:ephemeral-storage': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:ephemeral-storage': {}
                      'f:memory': {}
                  'f:livenessProbe':
                    .: {}
                    'f:exec':
                      .: {}
                      'f:command': {}
                    'f:failureThreshold': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    'k:{"name":"BITNAMI_DEBUG"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"ALLOW_EMPTY_PASSWORD"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_ENABLE_IPV6"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_ENABLE_JOURNAL"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_PORT_NUMBER"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_ROOT_USER"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    .: {}
                    'k:{"name":"MONGODB_SYSTEM_LOG_VERBOSITY"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_ENABLE_DIRECTORY_PER_DB"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_DISABLE_JAVASCRIPT"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_DISABLE_SYSTEM_LOG"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"MONGODB_ROOT_PASSWORD"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:secretKeyRef': {}
                  'f:readinessProbe':
                    .: {}
                    'f:exec':
                      .: {}
                      'f:command': {}
                    'f:failureThreshold': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:securityContext':
                    .: {}
                    'f:allowPrivilegeEscalation': {}
                    'f:capabilities':
                      .: {}
                      'f:drop': {}
                    'f:privileged': {}
                    'f:readOnlyRootFilesystem': {}
                    'f:runAsNonRoot': {}
                    'f:seccompProfile':
                      .: {}
                      'f:type': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":27017,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:name': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:automountServiceAccountToken': {}
              'f:serviceAccount': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:terminationGracePeriodSeconds': {}
              'f:initContainers':
                .: {}
                'k:{"name":"log-dir"}':
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/opt/bitnami/mongodb/logs"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:subPath': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:ephemeral-storage': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:ephemeral-storage': {}
                      'f:memory': {}
                  'f:args': {}
                  'f:command': {}
                  'f:securityContext':
                    .: {}
                    'f:allowPrivilegeEscalation': {}
                    'f:capabilities':
                      .: {}
                      'f:drop': {}
                    'f:privileged': {}
                    'f:readOnlyRootFilesystem': {}
                    'f:runAsNonRoot': {}
                    'f:seccompProfile':
                      .: {}
                      'f:type': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:name': {}
              'f:serviceAccountName': {}
              'f:enableServiceLinks': {}
              'f:securityContext':
                .: {}
                'f:fsGroupChangePolicy': {}
              'f:affinity':
                .: {}
                'f:podAntiAffinity':
                  .: {}
                  'f:preferredDuringSchedulingIgnoredDuringExecution': {}
    - manager: Mozilla
      operation: Update
      apiVersion: apps/v1
      time: '2025-09-05T08:12:43Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            'f:helm.sh/chart': {}
        'f:spec':
          'f:template':
            'f:metadata':
              'f:labels':
                'f:helm.sh/chart': {}
            'f:spec':
              'f:containers':
                'k:{"name":"mongodb"}':
                  'f:image': {}
              'f:initContainers':
                'k:{"name":"log-dir"}':
                  'f:image': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2025-09-05T08:14:38Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:updatedReplicas': {}
      subresource: status
  namespace: mongodb
  labels:
    app.kubernetes.io/component: mongodb
    app.kubernetes.io/instance: mongodb
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: mongodb
    app.kubernetes.io/version: 7.0.14
    helm.sh/chart: mongodb-16.5.44
spec:
  replicas: 1
  selector:
    matchLabels:
      app.kubernetes.io/component: mongodb
      app.kubernetes.io/instance: mongodb
      app.kubernetes.io/name: mongodb
  template:
    metadata:
      creationTimestamp: null
      labels:
        app.kubernetes.io/component: mongodb
        app.kubernetes.io/instance: mongodb
        app.kubernetes.io/managed-by: Helm
        app.kubernetes.io/name: mongodb
        app.kubernetes.io/version: 7.0.14
        helm.sh/chart: mongodb-16.5.44
    spec:
      restartPolicy: Always
      initContainers:
        - resources:
            limits:
              cpu: 750m
              ephemeral-storage: 2Gi
              memory: 768Mi
            requests:
              cpu: 500m
              ephemeral-storage: 50Mi
              memory: 512Mi
          terminationMessagePath: /dev/termination-log
          name: log-dir
          command:
            - /bin/bash
          securityContext:
            capabilities:
              drop:
                - ALL
            privileged: false
            runAsNonRoot: true
            readOnlyRootFilesystem: true
            allowPrivilegeEscalation: false
            seccompProfile:
              type: RuntimeDefault
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: empty-dir
              mountPath: /opt/bitnami/mongodb/logs
              subPath: app-logs-dir
          terminationMessagePolicy: File
          image: 'docker.io/bitnami/mongodb:8.0-debian-12'
          args:
            - '-ec'
            - |
              ln -sf /dev/stdout "/opt/bitnami/mongodb/logs/mongodb.log"
      serviceAccountName: mongodb
      schedulerName: default-scheduler
      enableServiceLinks: true
      affinity:
        podAntiAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
            - weight: 1
              podAffinityTerm:
                labelSelector:
                  matchLabels:
                    app.kubernetes.io/component: mongodb
                    app.kubernetes.io/instance: mongodb
                    app.kubernetes.io/name: mongodb
                topologyKey: kubernetes.io/hostname
      terminationGracePeriodSeconds: 30
      securityContext:
        fsGroupChangePolicy: Always
      containers:
        - resources:
            limits:
              cpu: 750m
              ephemeral-storage: 2Gi
              memory: 768Mi
            requests:
              cpu: 500m
              ephemeral-storage: 50Mi
              memory: 512Mi
          readinessProbe:
            exec:
              command:
                - /bitnami/scripts/readiness-probe.sh
            initialDelaySeconds: 5
            timeoutSeconds: 5
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 6
          terminationMessagePath: /dev/termination-log
          name: mongodb
          livenessProbe:
            exec:
              command:
                - /bitnami/scripts/ping-mongodb.sh
            initialDelaySeconds: 30
            timeoutSeconds: 10
            periodSeconds: 20
            successThreshold: 1
            failureThreshold: 6
          env:
            - name: BITNAMI_DEBUG
              value: 'false'
            - name: MONGODB_ROOT_USER
              value: root
            - name: MONGODB_ROOT_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: mongodb
                  key: mongodb-root-password
            - name: ALLOW_EMPTY_PASSWORD
              value: 'no'
            - name: MONGODB_SYSTEM_LOG_VERBOSITY
              value: '0'
            - name: MONGODB_DISABLE_SYSTEM_LOG
              value: 'no'
            - name: MONGODB_DISABLE_JAVASCRIPT
              value: 'no'
            - name: MONGODB_ENABLE_JOURNAL
              value: 'yes'
            - name: MONGODB_PORT_NUMBER
              value: '27017'
            - name: MONGODB_ENABLE_IPV6
              value: 'no'
            - name: MONGODB_ENABLE_DIRECTORY_PER_DB
              value: 'no'
          securityContext:
            capabilities:
              drop:
                - ALL
            privileged: false
            runAsNonRoot: true
            readOnlyRootFilesystem: true
            allowPrivilegeEscalation: false
            seccompProfile:
              type: RuntimeDefault
          ports:
            - name: mongodb
              containerPort: 27017
              protocol: TCP
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: empty-dir
              mountPath: /tmp
              subPath: tmp-dir
            - name: empty-dir
              mountPath: /opt/bitnami/mongodb/conf
              subPath: app-conf-dir
            - name: empty-dir
              mountPath: /opt/bitnami/mongodb/tmp
              subPath: app-tmp-dir
            - name: empty-dir
              mountPath: /opt/bitnami/mongodb/logs
              subPath: app-logs-dir
            - name: empty-dir
              mountPath: /.mongodb
              subPath: mongosh-home
            - name: datadir
              mountPath: /bitnami/mongodb
            - name: common-scripts
              mountPath: /bitnami/scripts
          terminationMessagePolicy: File
          image: 'docker.io/bitnami/mongodb:8.0-debian-12'
      automountServiceAccountToken: false
      serviceAccount: mongodb
      volumes:
        - name: empty-dir
          emptyDir: {}
        - name: common-scripts
          configMap:
            name: mongodb-common-scripts
            defaultMode: 360
        - name: datadir
          persistentVolumeClaim:
            claimName: mongodb
      dnsPolicy: ClusterFirst
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 5
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2025-09-05T08:14:38Z'
      lastTransitionTime: '2025-09-05T08:14:38Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2025-09-05T08:14:38Z'
      lastTransitionTime: '2024-09-26T11:11:43Z'
      reason: NewReplicaSetAvailable
      message: ReplicaSet "mongodb-6bc5c5dc57" has successfully progressed.
